package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.FacePass;
import com.yx.face.model.vo.FacePassUserInFoVO;
import com.yx.face.model.vo.FacePassVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 人脸下发表(FacePass)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:47 <br>
 */

public interface FacePassDao extends TKMapper<FacePass> {

    List<FacePassVO> getFacePasses(Map<String,Object> map);

    Integer removeFacePassBySn(@Param("sn") String sn, @Param("userId") Long userId);

    Long getFacePassIdBySn(@Param("sn") String sn, @Param("userId") Long userId, @Param("adminId") Integer adminId);

    Map<String, Object> getFacePassByTaskId(@Param("taskId") String taskId);


    List<FacePassVO> getRemoveFacePass(@Param("now") Date now);

    Long getFacePassBySn(@Param("sn") String sn, @Param("userId") Long userId, @Param("now") Date now);

    FacePassUserInFoVO getUserName(@Param("userId") Long userId);
}

